const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
const z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geral = new Helper.geral();
const loginPage = new Helper.login();
const j = require('../../../../json/leitorJson.po.js');
const setorPage = require('../../../../page-objects/producao/controle/producao/setor.po.js');

describe('Testes da página setor', function () {
    //executa o login o sistema
    beforeAll(function () {
        loginPage.login(j.getValor('login'), j.getValor('senha'));
        setorPage.abrir();
    });

    afterAll(function () {
        geral.sair();
    });

    it('Verifica se página acessada é a de Setor', function () {
        expect(z.component.header.getTitle()).toBe('Setor');
    });

    it('Cadastrar na página Setor', function(){
        setorPage.adicionaSetor(j.getValor('codSetor'),j.getValor('siglaSetor'),j.getValor('nomeSetor'),j.getValor('ccSetor'),j.getValor('departamentoSetor'));
        expect(geral.gridHasText('12102554951811807910983', '0000')).toEqual('0000');
    });
});